aboutsummaryrefslogtreecommitdiff
path: root/contrib/ncurses/include/MKkey_defs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/ncurses/include/MKkey_defs.sh')
-rwxr-xr-xcontrib/ncurses/include/MKkey_defs.sh25
1 files changed, 21 insertions, 4 deletions
diff --git a/contrib/ncurses/include/MKkey_defs.sh b/contrib/ncurses/include/MKkey_defs.sh
index ab43b09f4845..b3cb4f7f72cb 100755
--- a/contrib/ncurses/include/MKkey_defs.sh
+++ b/contrib/ncurses/include/MKkey_defs.sh
@@ -1,7 +1,7 @@
#! /bin/sh
-# $Id: MKkey_defs.sh,v 1.8 2002/06/01 17:24:28 tom Exp $
+# $Id: MKkey_defs.sh,v 1.14 2003/12/06 17:10:09 tom Exp $
##############################################################################
-# Copyright (c) 2001,2002 Free Software Foundation, Inc. #
+# Copyright (c) 2001-2002,2003 Free Software Foundation, Inc. #
# #
# Permission is hereby granted, free of charge, to any person obtaining a #
# copy of this software and associated documentation files (the "Software"), #
@@ -30,7 +30,7 @@
#
# MKkey_defs.sh -- generate function-key definitions for curses.h
#
-# Author: Thomas E. Dickey <dickey@herndon4.his.com> 2001
+# Author: Thomas E. Dickey 2001
#
# Extract function-key definitions from the Caps file
#
@@ -43,9 +43,26 @@ pass2=pass2_$$
pass3=pass3_$$
pass4=pass4_$$
trap 'rm -f $data pass[1234]_$$' 0 1 2 5 15
-sed -e 's/[ ]\+/ /g' < $DATA |sort -n +5 >$data
+
+# change repeated tabs (used for readability) to single tabs (needed to make
+# awk see the right field alignment of the corresponding columns):
+if sort -k 6 $DATA >$data 2>/dev/null
+then
+ # POSIX
+ sed -e 's/[ ][ ]*/ /g' < $DATA |sort -n -k 6 >$data
+elif sort -n +5 $DATA >$data 2>/dev/null
+then
+ # SunOS (and SVr4, marked as obsolete but still recognized)
+ sed -e 's/[ ][ ]*/ /g' < $DATA |sort -n +5 >$data
+else
+ echo "Your sort utility is broken. Please install one that works." >&2
+ exit 1
+fi
+
+# add keys that we generate automatically:
cat >>$data <<EOF
key_resize kr1 str R1 KEY_RESIZE + ----- Terminal resize event
+key_event kv1 str V1 KEY_EVENT + ----- We were interrupted by an event
EOF
cat <<EOF